import {pagination} from '../../../src/utilities/pagination';

const array1 = [...Array(56).keys()].slice(1);

test.each([
    [array1, 0, 10, [...Array(11).keys()].slice(1)],
    [array1, 1, 10, [...Array(21).keys()].slice(11)],
    [array1, 2, 10, [...Array(31).keys()].slice(21)],
    [array1, 3, 10, [...Array(41).keys()].slice(31)],
    [array1, 4, 10, [...Array(51).keys()].slice(41)],
    [array1, 5, 10, [...Array(56).keys()].slice(51)],
    [array1, 0, 20, [...Array(21).keys()].slice(1)],
    [array1, 1, 20, [...Array(41).keys()].slice(21)],
    [array1, 2, 20, [...Array(56).keys()].slice(41)],
    [array1, 3, 20, array1]
])(
    'filter pagination %p, skip %d and limit %d = %p',
    (array:any[], skip, limit, expected) => {
        expect(pagination(array, skip, limit)).toEqual(expected);
    }
);
