import * as filter from '../../../src/validators/regExpValidators';

const regExp = '^(prod|mod|part)\\.\\d{6}((\\_(\\w{2,4}))?(\\.fake)?)$';

test.each([
    ['regExpValidator', 'prod.500003', regExp, true],
    ['regExpValidator', 'prod.50003', regExp, false]
])(
    '%s for value %s and key %j = %j',
    (validator, value, comparator, expected) => {
        expect((filter as any)[validator](value, comparator)).toBe(expected);
    }
);
