import * as filter from '../../../src/validators/stringValidators';

const string = 'Avaritiam nares.';

// validator tests
test.each([
    ['strictValidator', 'test', 'test', true],
    ['caseSensitiveValidator', 'test', 'test', true],
    ['caseSensitiveValidator', 'test', 'Test', false],
    ['caseInsensitiveValidator', string, 'Avaritiam nares.', true],
    ['caseInsensitiveValidator', string, 'avaritiam nares.', true],
    ['caseInsensitiveValidator', string, 'avaritiam nares', true],
    ['caseInsensitiveValidator', string, 'avaritiam', true],
    ['caseInsensitiveValidator', string, 'avarit', true],
    ['caseInsensitiveValidator', string, '', true],
    ['caseInsensitiveValidator', string, 'avaritiam.', false]
])(
    '%s for value %s and key %j = %j',
    (validator: string, value, comparator, expected) => {
        expect((filter as any)[validator](value, comparator)).toBe(expected);
    }
);
